All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.commands.remotefileselector2
Class SortFoldersFirstCommand

    com.sas.commands.remotefileselector2.SortFoldersFirstCommand

All Implemented Interfaces:
  CommandStatusInterface, CommandSupportedInterface, DynamicAttributeCommandInterface, BaseEntityInterface, BaseEntityValueInterface, EntityKeyInterface, com.sas.lang.StringDataInterface, com.sas.PublicClonable, com.sas.util.Command, com.sas.util.SimpleCommand, com.sas.util.SortDirectionInterface, java.lang.Cloneable, java.rmi.Remote

    public class SortFoldersFirstCommand

Extension of the com.sas.commands.relational.SortCommand. Sorts folders before files. Used with the RemoteFileServer selectors.

Since:
  3.1

Field Summary
`static java.lang.String` | `RB_KEY` the resource key

Fields inherited from interface com.sas.util.SortDirectionInterface
`ASCENDING, DESCENDING, NOT_SORTED`

Fields inherited from interface com.sas.actionprovider.CommandStatusInterface
`DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED`

Fields inherited from interface com.sas.commands.DynamicAttributeCommandInterface
`COMMAND_NAME_PREFIX`

Constructor Summary
`SortFoldersFirstCommand()` Default constructor
`SortFoldersFirstCommand(int direction)` Constructor that allows specification of the sort direction.
`SortFoldersFirstCommand(java.lang.String name)` Constructor that accepts a command name and defaults to ascending sort.
`SortFoldersFirstCommand(java.lang.String name, int direction)` Constructor that accepts a command name and a sort direction.

Method Summary
`void` | `execute(java.lang.Object o)` This method implements the execute method on the CommandInterface, which is not implemented by the abstract BaseSortCommand class This method overrides the execute for the sortCommand used for the relational TableView.

Methods inherited from class com.sas.commands.relational.SortCommand
`getColumn, getCommandStatus, getDirection, getMaxSortableColumns, getModel, isColumnSortable, isColumnSorted, isColumnSorted, isDisabledIfCurrentState, isMultipleColumnSortingEnabled, isSupported, setColumn, setDirection, setDisabledIfCurrentState, setMaxSortableColumns, setModel, setMultipleColumnSortingEnabled`

Methods inherited from class com.sas.commands.BaseCommand
`getLocale, getName, getNextCommandName, getText, isExecutable, isUndoable, setLocale, setName, setText, undo`

Methods inherited from class com.sas.entities.BaseEntity
`clone, containsAttributeNamed, equals, equals, getAttribute, getAttribute, getAttributeCount, getAttributes, getEntityKey, getPropertyDescriptors, getStringAttribute, listAttributeNames, removeAllAttributes, removeAttribute, reset, sameEntity, setAttribute, setAttributes, setEntityKey, toString`

Methods inherited from interface com.sas.entities.BaseEntityValueInterface
`getAttribute, setAttribute`

Methods inherited from interface com.sas.util.Command
`clone`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

  the resource key

  See Also:
    Constant Field Values

Constructor Detail

### SortFoldersFirstCommand

    public SortFoldersFirstCommand()

  Default constructor

### SortFoldersFirstCommand

    public SortFoldersFirstCommand(int direction)

  Constructor that allows specification of the sort direction.

  Parameters:
    `direction` - the sort direction

### SortFoldersFirstCommand

    public SortFoldersFirstCommand(java.lang.String name)

  Constructor that accepts a command name and defaults to ascending sort.

  Parameters:
    `name` - the name of the command

### SortFoldersFirstCommand

    public SortFoldersFirstCommand(java.lang.String name,
                                   int direction)

  Constructor that accepts a command name and a sort direction.

  Parameters:
    `name` - the name of the command
    `direction` - the sort direction

Method Detail

### execute

    public void execute(java.lang.Object o)

  This method implements the execute method on the CommandInterface, which is not implemented by the abstract BaseSortCommand class This method overrides the execute for the sortCommand used for the relational TableView. It sorts folders before files.

  Specified by:
    `execute` in interface `com.sas.util.SimpleCommand`
  Overrides:
    `execute` in class `SortCommand`
  Parameters:
    `o` - the object where the command is executed.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.